;Script files for QIP  Infium Instant Messenger 
; Require: the Jaqueta plug-in to fire  'Event' functions.
; Distributed by www.tiflocomp.ru

Include "HjGlobal.jsh" ; default HJ global variables
Include "hjconst.jsh" ; default HJ constants
Include "infium.jsm"
Include "infium.jsh"


globals
; the list of messages
object qip_oMsgCollection, 

; Accumulates the text of the current message
string qip_sMessage,

;Accumulates the current pop-up text
string qip_sFadeText,

; limiting mumber of messages in the list
int qip_nMaxCount 

Void Function AutoStartEvent()
	let qip_oMsgCollection = CreateObject("Scripting.Dictionary")
	let qip_nMaxCount = 10
	return AutoStartEvent()
EndFunction

Void Function qipAddMessage (string sMessage)
var
int nCount, int i

	if not StringIsBlank(sMessage)  then
SentMessageToInfium (sMessage)
		let nCount = qip_oMsgCollection.Count
		let i = nCount 
		while i > 0
			qip_oMsgCollection.Remove(i)
			qip_oMsgCollection.Add(i, qip_oMsgCollection.Item(i-1))
				let i = i -1
		endWhile
		if nCount >= qip_nMaxCount then
			qip_oMsgCollection.Remove(qip_oMsgCollection.Count-1)
		endif
		qip_oMsgCollection.Remove(0)
		qip_oMsgCollection.Add(0, sMessage)
	endif
EndFunction

Void Function qipIncomingMessageEvent (string sText)

; last slice?
if StringIsBlank (sText)  then
		qipAddMessage(qip_sMessage)
		let qip_sMessage = ""
	else
; accumulate...
		let qip_sMessage = qip_sMessage + sText
	endif
EndFunction

Void Function qipOutgoingMessageEvent (string sText)
; last slice?
	if StringIsBlank (sText)  then
		qipAddMessage(qip_sMessage)
		let qip_sMessage = ""
	else
; accumulate...
		let qip_sMessage = qip_sMessage + sText
endif
EndFunction

Void Function qipFadePopUpEvent (string sText)
EndFunction

Void Function qipStatusChangedEvent (string sText)
EndFunction

void Function qipNotReadedEvent(string szText)
EndFunction

Int Function SentMessageToInfium (string sMessage)
var
object oFSO ,
object oFile,
object oTextStream,
string path,
string text,
string tab

let tab=StringSegment (sMessage, "\n", 1)
if StringCompare (tab, CurrentUserName, 0) == 0 then
let tab=LastContact
EndIf

let path=FormatString ("%1%2%3%4", IniReadString ("Parameters", "JAWSHistoryPath", "", "infium.ini"), "\\", tab, ".qip")
if not FileExists (path) then
let oFSO = CreateObject("Scripting.FileSystemObject")
let oFile=oFSO .CreateTextFile (path)
EndIf
Pause ()
let oFSO = CreateObject("Scripting.FileSystemObject")
let oFile = oFSO.GetFile(path)
let oTextStream = oFile.OpenAsTextStream(8, -2)
let sMessage=sMessage+"\n\n"
oTextStream.Write(sMessage)
oTextStream.Close

SayString (sMessage)
;SayString (path)
EndFunction
/*
;Script files for QIP  Infium Instant Messenger 
; Require: the Jaqueta plug-in to fire  'Event' functions.
; Distributed by www.tiflocomp.ru

Include "HjGlobal.jsh" ; default HJ global variables
Include "hjconst.jsh" ; default HJ constants
Include "infium.jsm"
Include "infium.jsh"

globals
; the list of messages
object qip_oMsgCollection, ; declared only

; Accumulates the text of the current message
string qip_sMessage,

;Accumulates the current pop-up text
string qip_sFadeText,

; limiting mumber of messages in the list
int qip_nMaxCount 


*/